---
schema_version: "1"
id: 455d70d8db751d7e48fcc8c9a9867e0884f1172fb67b4bc96660eda2cf30fba7
title: GET /contacts/v1/contacts/id:{contactId}/Preferences
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getContactPreferencesById.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/getContactPreferencesById.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6f683e988b5949868b272110515afd059d0ec2425fdbfe3191c546ab65a83c1b
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/contacts/id:{contactId}/Preferences

## Overview

Retrieves consent management information from contact records by contact ID for data protection and privacy concerns. GET requests might display values that are reserved for future use and don't perform any actions at this time. Use only the parameters documented here.

### URL Parameters

<!--complex table-->

| Name          | Type   |              | Description                |
| ------------- | ------ | ------------ | -------------------------- |
| **contactId** | string | **Required** | Unique ID for the contact. |

### Responses

| Status  | Name                      | Type    | Description                                                                                                    |
| ------- | ------------------------- | ------- | -------------------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;                    | &nbsp;  | **Retrieved contact preferences by contact ID.**                                                               |
| &nbsp;  | value                     | object  | Contains the contact ID and other properties to add.                                                           |
| &nbsp;  | value.contactID           | long    | Unique ID for the contact.                                                                                     |
| &nbsp;  | value.hasOptedOutTracking | boolean | Indicates whether a contact opted out of tracking information.                                                 |
| &nbsp;  | rowsAffected              | integer | Number of rows returned.                                                                                       |
| &nbsp;  | requestServiceMessageID   | guid    | Service message ID for the request.                                                                            |
| &nbsp;  | responseDateTime          | integer | Date and time of the retry response in UTC.                                                                    |
| &nbsp;  | resultMessages            | array   | Array of messages about the request. Includes details, such as resulttype and resultcode, about a bad request. |
| &nbsp;  | serviceMessageID          | guid    | Service message ID for the response.                                                                           |

## Usage

These permissions are required.

- Assets, Upload
- Assets, Publish

### Required Scope

- Documents and Images, Read and Write
- Saved Content, Read and Write

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /contacts/v1/contacts/id:1234/Preferences
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```js
HTTP/1.1 200 OK

{
   "value":{
      "contactID":1234,
      "hasOptedOutTracking":false
   },
   "rowsAffected":1,
   "requestServiceMessageID":"315871d9-7ac3-4452-85ea-1b82e7912ec9",
   "responseDateTime":"2019-01-22T16:16:14.6290807-06:00",
   "resultMessages":[

   ],
   "serviceMessageID":"31be4073-0d58-467e-8c2e-9e5d0851c5fd"
}
```
